> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /clusters/create

> Create a new GPU cluster.



## OpenAPI

````yaml post /clusters/create
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /clusters/create:
    post:
      summary: /clusters/create
      description: Create a new GPU cluster.
      operationId: ClustersCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClusterRequest'
      responses:
        '200':
          description: Returns a CreateClusterResponse object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateClusterResponse'
components:
  schemas:
    CreateClusterRequest:
      type: object
      required:
        - cloud
        - region
        - cluster_type
        - name
        - num_instances
      properties:
        name:
          type: string
          example: protestant-aquamarine-cluster
          description: The name of the cluster.
        cloud:
          type: string
          example: denvr
          description: The cloud provider for the cluster.
        region:
          type: string
          example: houston-usa-1
          description: The region where the cluster will be deployed.
        cluster_type:
          type: string
          example: H100_sxm5x8
          description: The type of GPU cluster to create.
        num_instances:
          type: integer
          example: 2
          description: The number of instances in the cluster.
        ssh_key_id:
          type: string
          example: f0c6ac6d-7240-4968-8eb7-a11c4a0a5dc6
          description: The SSH key ID to use for the cluster instances.
        os:
          type: string
          example: ubuntu20.04
          description: The operating system for the cluster.
    CreateClusterResponse:
      type: object
      required:
        - id
      description: Response of the /clusters/create API call
      properties:
        id:
          type: string
          format: uuid
          example: 8eda86fe-0f36-41ed-9837-0ccf8f6e0fcb
          description: The unique identifier for the newly created cluster.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````